# ViewDataOutput (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ViewDataOutput

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ViewData
  - - org.deidentifier.arx.gui.view.impl.common.ViewDataOutput

- All Implemented Interfaces:
    IView

      public class ViewDataOutput
      extends ViewData

  A view on a `Data` object.

- - ### Field Summary

    - ### Fields inherited from class org.deidentifier.arx.gui.view.impl.common.ViewData

      `controller, model, table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewDataOutput(org.eclipse.swt.widgets.Composite parent, Controller controller, java.lang.String helpid)` Creates a new data view.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionCellSelected(org.eclipse.nebula.widgets.nattable.selection.event.CellSelectionEvent arg1)` Cell selection event.
    `protected void` | `actionSort()` Called when the sort button is pressed.
    `protected DataDefinition` | `getDefinition()` Returns the data definition.
    `protected DataHandle` | `getHandle()` Returns the data definition.
    `void` | `update(ModelEvent event)` Updates the view.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.ViewData

      `actionColumnSelected, addScrollBarListener, addSelectionListener, createAdditionalItem, dispose, enableSorting, getSelectionIndex, getViewportLayer, reset, setSelectedItem, setSelectionIndex, updateHeaderImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewDataOutput

          public ViewDataOutput(org.eclipse.swt.widgets.Composite parent,
                        Controller controller,
                        java.lang.String helpid)

      Creates a new data view.
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### update

          public void update(ModelEvent event)

      Description copied from interface: `IView`
      Updates the view.
      Specified by:
        `update` in interface `IView`
      Overrides:
        `update` in class `ViewData`

    - #### actionCellSelected

          protected void actionCellSelected(org.eclipse.nebula.widgets.nattable.selection.event.CellSelectionEvent arg1)

      Description copied from class: `ViewData`
      Cell selection event.
      Overrides:
        `actionCellSelected` in class `ViewData`

    - #### actionSort

          protected void actionSort()

      Description copied from class: `ViewData`
      Called when the sort button is pressed.
      Specified by:
        `actionSort` in class `ViewData`

    - #### getDefinition

          protected DataDefinition getDefinition()

      Description copied from class: `ViewData`
      Returns the data definition.
      Specified by:
        `getDefinition` in class `ViewData`
      Returns:

    - #### getHandle

          protected DataHandle getHandle()

      Description copied from class: `ViewData`
      Returns the data definition.
      Specified by:
        `getHandle` in class `ViewData`
      Returns: